<html>
<head>
<title>OgreGLESFBORenderTexture.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_9e680f2cca56003d76c91ad8153c6d1e.html">GLES</a>      </li>
      <li class="navelem"><a class="el" href="dir_2b7861191a86db021136edf07f6d3897.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreGLESFBORenderTexture.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreGLESFBORenderTexture_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __OgreGLESFBORTT_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __OgreGLESFBORTT_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESRenderTexture_8h.html">OgreGLESRenderTexture.h</a>&quot;</span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESContext_8h.html">OgreGLESContext.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreGLESFrameBufferObject_8h.html">OgreGLESFrameBufferObject.h</a>&quot;</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00036"></a>00036     <span class="keyword">class </span>GLESFBOManager;
<a name="l00037"></a>00037     <span class="keyword">class </span>GLESRenderBuffer;
<a name="l00038"></a>00038 
<a name="l00041"></a><a class="code" href="classOgre_1_1GLESFBORenderTexture.html">00041</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESFBORenderTexture.html" title="RenderTexture for GL ES FBO.">GLESFBORenderTexture</a>: <span class="keyword">public</span> <a class="code" href="classOgre_1_1GLESRenderTexture.html" title="Base class for GL Render Textures.">GLESRenderTexture</a>
<a name="l00042"></a>00042     {
<a name="l00043"></a>00043     <span class="keyword">public</span>:
<a name="l00044"></a>00044         <a class="code" href="classOgre_1_1GLESFBORenderTexture.html" title="RenderTexture for GL ES FBO.">GLESFBORenderTexture</a>(<a class="code" href="classOgre_1_1GLESFBOManager.html" title="Factory for GL Frame Buffer Objects, and related things.">GLESFBOManager</a> *manager, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;target, <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa);
<a name="l00045"></a>00045 
<a name="l00046"></a>00046         <span class="keyword">virtual</span> <span class="keywordtype">void</span> getCustomAttribute(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">void</span>* pData);
<a name="l00047"></a>00047 
<a name="l00049"></a>00049         <span class="keyword">virtual</span> <span class="keywordtype">void</span> swapBuffers(<span class="keywordtype">bool</span> waitForVSync = <span class="keyword">true</span>);
<a name="l00050"></a>00050 
<a name="l00052"></a>00052         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> attachDepthBuffer( <a class="code" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> *depthBuffer );
<a name="l00053"></a>00053         <span class="keyword">virtual</span> <span class="keywordtype">void</span> detachDepthBuffer();
<a name="l00054"></a>00054         <span class="keyword">virtual</span> <span class="keywordtype">void</span> _detachDepthBuffer();
<a name="l00055"></a>00055     <span class="keyword">protected</span>:
<a name="l00056"></a><a class="code" href="classOgre_1_1GLESFBORenderTexture.html#a8ebdda083e2b7e2c61b68b0e0697b899">00056</a>         <a class="code" href="classOgre_1_1GLESFrameBufferObject.html" title="Frame Buffer Object abstraction.">GLESFrameBufferObject</a> <a class="code" href="classOgre_1_1GLESFBORenderTexture.html#a8ebdda083e2b7e2c61b68b0e0697b899">mFB</a>;
<a name="l00057"></a>00057     };
<a name="l00058"></a>00058     
<a name="l00061"></a><a class="code" href="classOgre_1_1GLESFBOManager.html">00061</a>     <span class="keyword">class </span><a class="code" href="OgreGLESPrerequisites_8h.html#aacfbc6e9783463d78a54316f63943b0a">_OgreGLESExport</a> <a class="code" href="classOgre_1_1GLESFBOManager.html" title="Factory for GL Frame Buffer Objects, and related things.">GLESFBOManager</a>: <span class="keyword">public</span> <a class="code" href="classOgre_1_1GLESRTTManager.html" title="Manager/factory for RenderTextures.">GLESRTTManager</a>
<a name="l00062"></a>00062     {
<a name="l00063"></a>00063     <span class="keyword">public</span>:
<a name="l00064"></a>00064         <a class="code" href="classOgre_1_1GLESFBOManager.html" title="Factory for GL Frame Buffer Objects, and related things.">GLESFBOManager</a>();
<a name="l00065"></a>00065         ~<a class="code" href="classOgre_1_1GLESFBOManager.html" title="Factory for GL Frame Buffer Objects, and related things.">GLESFBOManager</a>();
<a name="l00066"></a>00066         
<a name="l00070"></a>00070         <span class="keywordtype">void</span> bind(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target);
<a name="l00071"></a>00071         
<a name="l00074"></a><a class="code" href="classOgre_1_1GLESFBOManager.html#a55c2f009d7fb30c411df746ab622e2de">00074</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1GLESFBOManager.html#a55c2f009d7fb30c411df746ab622e2de" title="Unbind a certain render target.">unbind</a>(<a class="code" href="classOgre_1_1RenderTarget.html" title="A &#39;canvas&#39; which can receive the results of a rendering operation.">RenderTarget</a> *target) {};
<a name="l00075"></a>00075         
<a name="l00078"></a>00078         <span class="keywordtype">void</span> getBestDepthStencil(GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat);
<a name="l00079"></a>00079         
<a name="l00082"></a>00082         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1GLESFBORenderTexture.html" title="RenderTexture for GL ES FBO.">GLESFBORenderTexture</a> *createRenderTexture(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, 
<a name="l00083"></a>00083             <span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;target, <span class="keywordtype">bool</span> writeGamma, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa);
<a name="l00084"></a>00084 
<a name="l00087"></a>00087         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1MultiRenderTarget.html" title="This class represents a render target that renders to multiple RenderTextures at once.">MultiRenderTarget</a>* createMultiRenderTarget(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp; name);
<a name="l00088"></a>00088         
<a name="l00091"></a>00091         <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> requestRenderBuffer(GLenum format, <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa);
<a name="l00095"></a>00095         <span class="keywordtype">void</span> requestRenderBuffer(<span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;surface);
<a name="l00098"></a>00098         <span class="keywordtype">void</span> releaseRenderBuffer(<span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESSurfaceDesc.html" title="GL surface descriptor.">GLESSurfaceDesc</a> &amp;surface);
<a name="l00099"></a>00099         
<a name="l00102"></a><a class="code" href="classOgre_1_1GLESFBOManager.html#a775f2041419c2f1f2618b23b5bad65b2">00102</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1GLESFBOManager.html#a775f2041419c2f1f2618b23b5bad65b2" title="Check if a certain format is usable as FBO rendertarget format.">checkFormat</a>(<a class="code" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format) { <span class="keywordflow">return</span> mProps[format].valid; }
<a name="l00103"></a>00103         
<a name="l00106"></a><a class="code" href="classOgre_1_1GLESFBOManager.html#aaf42836411acb3e6159f70cd6f80f91d">00106</a>         GLuint <a class="code" href="classOgre_1_1GLESFBOManager.html#aaf42836411acb3e6159f70cd6f80f91d" title="Get a FBO without depth/stencil for temporary use, like blitting between textures.">getTemporaryFBO</a>() { <span class="keywordflow">return</span> mTempFBO; }
<a name="l00107"></a>00107     <span class="keyword">private</span>:
<a name="l00110"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html">00110</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html" title="Frame Buffer Object properties for a certain texture format.">FormatProperties</a>
<a name="l00111"></a>00111         {
<a name="l00112"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html#acfb6cb66abb2550d68675d3b7eb33037">00112</a>             <span class="keywordtype">bool</span> <a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html#acfb6cb66abb2550d68675d3b7eb33037">valid</a>; <span class="comment">// This format can be used as RTT (FBO)</span>
<a name="l00113"></a>00113             
<a name="l00116"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties_1_1Mode.html">00116</a>             <span class="keyword">struct </span><a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties_1_1Mode.html" title="Allowed modes/properties for this pixel format.">Mode</a>
<a name="l00117"></a>00117             {
<a name="l00118"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties_1_1Mode.html#ae684ab8c39c9d41a39a65b33eef1f989">00118</a>                 <span class="keywordtype">size_t</span> <a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties_1_1Mode.html#ae684ab8c39c9d41a39a65b33eef1f989">depth</a>;     <span class="comment">// Depth format (0=no depth)</span>
<a name="l00119"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties_1_1Mode.html#a0369405f84661f63cddd8e5bf219876d">00119</a>                 <span class="keywordtype">size_t</span> <a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties_1_1Mode.html#a0369405f84661f63cddd8e5bf219876d">stencil</a>;   <span class="comment">// Stencil format (0=no stencil)</span>
<a name="l00120"></a>00120             };
<a name="l00121"></a>00121             
<a name="l00122"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html#a8116a4cbb3f40115c1cd37b14126f904">00122</a>             <a class="code" href="structOgre_1_1vector.html">vector&lt;Mode&gt;::type</a> <a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html#a8116a4cbb3f40115c1cd37b14126f904">modes</a>;
<a name="l00123"></a>00123         };
<a name="l00126"></a><a class="code" href="classOgre_1_1GLESFBOManager.html#a71b4f22afad9128a52f8fcbb8000f3d2">00126</a>         <a class="code" href="structOgre_1_1GLESFBOManager_1_1FormatProperties.html" title="Frame Buffer Object properties for a certain texture format.">FormatProperties</a> mProps[<a class="code" href="group__Image.html#gga7e0353e7d36d4c2e8468641b7303d39ca44469cb753c29f07cba54678a57319a1">PF_COUNT</a>];
<a name="l00127"></a>00127         
<a name="l00132"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html">00132</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html" title="Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and ...">RBFormat</a>
<a name="l00133"></a>00133         {
<a name="l00134"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a64edde982914bf0989c3a22a0f27a4d5">00134</a>             <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html" title="Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and ...">RBFormat</a>(GLenum inFormat, <span class="keywordtype">size_t</span> inWidth, <span class="keywordtype">size_t</span> inHeight, <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa):
<a name="l00135"></a>00135                 format(inFormat), width(inWidth), height(inHeight), samples(fsaa)
<a name="l00136"></a>00136             {}
<a name="l00137"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a6cc01b53e99f462c6b6d0e792fb4fe52">00137</a>             GLenum <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a6cc01b53e99f462c6b6d0e792fb4fe52">format</a>;
<a name="l00138"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#acd71529d0b0d69cb81f8e0363973affb">00138</a>             <span class="keywordtype">size_t</span> <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#acd71529d0b0d69cb81f8e0363973affb">width</a>;
<a name="l00139"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a9b29b379abd9a801f5c51cb1f9a53b72">00139</a>             <span class="keywordtype">size_t</span> <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a9b29b379abd9a801f5c51cb1f9a53b72">height</a>;
<a name="l00140"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a66ed7e9541851eed9796c98774b6f32a">00140</a>             <a class="code" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a66ed7e9541851eed9796c98774b6f32a">samples</a>;
<a name="l00141"></a>00141             <span class="comment">// Overloaded comparison operator for usage in map</span>
<a name="l00142"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#adb86a1a7a43d222ee4f2c52e513a8e16">00142</a>             <span class="keywordtype">bool</span> <a class="code" href="group__General.html#gae1dbf4506ab2500da5ec4ef0b58cb2e1">operator &lt; </a>(<span class="keyword">const</span> <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html" title="Stencil and depth renderbuffers of the same format are re-used between surfaces of the same size and ...">RBFormat</a> &amp;other)<span class="keyword"> const</span>
<a name="l00143"></a>00143 <span class="keyword">            </span>{
<a name="l00144"></a>00144                 <span class="keywordflow">if</span>(format &lt; other.<a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a6cc01b53e99f462c6b6d0e792fb4fe52">format</a>)
<a name="l00145"></a>00145                 {
<a name="l00146"></a>00146                     <span class="keywordflow">return</span> <span class="keyword">true</span>;
<a name="l00147"></a>00147                 }
<a name="l00148"></a>00148                 <span class="keywordflow">else</span> <span class="keywordflow">if</span>(format == other.<a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a6cc01b53e99f462c6b6d0e792fb4fe52">format</a>)
<a name="l00149"></a>00149                 {
<a name="l00150"></a>00150                     <span class="keywordflow">if</span>(width &lt; other.<a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#acd71529d0b0d69cb81f8e0363973affb">width</a>)
<a name="l00151"></a>00151                     {
<a name="l00152"></a>00152                         <span class="keywordflow">return</span> <span class="keyword">true</span>;
<a name="l00153"></a>00153                     }
<a name="l00154"></a>00154                     <span class="keywordflow">else</span> <span class="keywordflow">if</span>(width == other.<a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#acd71529d0b0d69cb81f8e0363973affb">width</a>)
<a name="l00155"></a>00155                     {
<a name="l00156"></a>00156                         <span class="keywordflow">if</span>(height &lt; other.<a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a9b29b379abd9a801f5c51cb1f9a53b72">height</a>)
<a name="l00157"></a>00157                             <span class="keywordflow">return</span> <span class="keyword">true</span>;
<a name="l00158"></a>00158                         <span class="keywordflow">else</span> <span class="keywordflow">if</span> (height == other.<a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a9b29b379abd9a801f5c51cb1f9a53b72">height</a>)
<a name="l00159"></a>00159                         {
<a name="l00160"></a>00160                             <span class="keywordflow">if</span> (samples &lt; other.<a class="code" href="structOgre_1_1GLESFBOManager_1_1RBFormat.html#a66ed7e9541851eed9796c98774b6f32a">samples</a>)
<a name="l00161"></a>00161                                 <span class="keywordflow">return</span> <span class="keyword">true</span>;
<a name="l00162"></a>00162                         }
<a name="l00163"></a>00163                     }
<a name="l00164"></a>00164                 }
<a name="l00165"></a>00165                 <span class="keywordflow">return</span> <span class="keyword">false</span>;
<a name="l00166"></a>00166             }
<a name="l00167"></a>00167         };
<a name="l00168"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html">00168</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html">RBRef</a>
<a name="l00169"></a>00169         {
<a name="l00170"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html#a01a4e28bb55c96c6590f3ab316dc7c68">00170</a>             <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html#a01a4e28bb55c96c6590f3ab316dc7c68">RBRef</a>(){}
<a name="l00171"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html#a809c516ad7982a067737d35cb85a48d6">00171</a>             <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html">RBRef</a>(<a class="code" href="classOgre_1_1GLESRenderBuffer.html" title="Renderbuffer surface.">GLESRenderBuffer</a> *inBuffer):
<a name="l00172"></a>00172                 buffer(inBuffer), refcount(1)
<a name="l00173"></a>00173             { }
<a name="l00174"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html#a2e35093abb288b5b57d2d4b54139657e">00174</a>             <a class="code" href="classOgre_1_1GLESRenderBuffer.html" title="Renderbuffer surface.">GLESRenderBuffer</a> *<a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html#a2e35093abb288b5b57d2d4b54139657e">buffer</a>;
<a name="l00175"></a><a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html#a137b2778c4e192ac4859a664994b8e32">00175</a>             <span class="keywordtype">size_t</span> <a class="code" href="structOgre_1_1GLESFBOManager_1_1RBRef.html#a137b2778c4e192ac4859a664994b8e32">refcount</a>;
<a name="l00176"></a>00176         };
<a name="l00177"></a><a class="code" href="classOgre_1_1GLESFBOManager.html#a03b90bad810db1ea76fa3ad0612f2a09">00177</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;RBFormat, RBRef&gt;::type</a> <a class="code" href="classOgre_1_1GLESFBOManager.html#a03b90bad810db1ea76fa3ad0612f2a09">RenderBufferMap</a>;
<a name="l00178"></a><a class="code" href="classOgre_1_1GLESFBOManager.html#a988cf088ed63106c97f3fd397e7901cd">00178</a>         <a class="code" href="classOgre_1_1GLESFBOManager.html#a03b90bad810db1ea76fa3ad0612f2a09">RenderBufferMap</a> <a class="code" href="classOgre_1_1GLESFBOManager.html#a988cf088ed63106c97f3fd397e7901cd">mRenderBufferMap</a>;
<a name="l00179"></a>00179         <span class="comment">// map(format, sizex, sizey) -&gt; [GLSurface*,refcount]</span>
<a name="l00180"></a>00180         
<a name="l00183"></a><a class="code" href="classOgre_1_1GLESFBOManager.html#afd1e91111f7c4d82eab5b23020459fdb">00183</a>         GLuint <a class="code" href="classOgre_1_1GLESFBOManager.html#afd1e91111f7c4d82eab5b23020459fdb" title="Temporary FBO identifier.">mTempFBO</a>;
<a name="l00184"></a>00184         
<a name="l00186"></a>00186         <span class="keywordtype">void</span> detectFBOFormats();
<a name="l00187"></a>00187         GLuint _tryFormat(GLenum depthFormat, GLenum stencilFormat);
<a name="l00188"></a>00188         <span class="keywordtype">bool</span> _tryPackedFormat(GLenum packedFormat);
<a name="l00189"></a>00189     };
<a name="l00190"></a>00190 }
<a name="l00191"></a>00191 
<a name="l00192"></a>00192 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
